Bug 68685 - Genkey fails on SH4 for Advanced Server
Genkey fails on SH4 for Advanced Server
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: stronghold-apache (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
Depends On:
  Show dependency treegraph
Reported: 2002-07-12 11:36 EDT by Jp Robinson
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-15 10:56:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jp Robinson 2002-07-12 11:36:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
genkey bombs out when trying to generate the .csr file on Advanced Server. Only 
the Advanced Server version of stronghold has this problem, the generic linux 
glibc2.2 version works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run genkey to generate a CSR
2.Input information about CSR
3.Crash when trying to generate the CSR file

Actual Results:  From doing an strace on it, I gathered that it crashes while 
trying to open/write the .csr file. The key file is generated, but not the csr.

Expected Results:  Should've generated a CSR!

Additional info:

Note that in the same place it fails to generate the csr file, I can do a "make 
hostname.key hostname.csr" with no trouble.
Comment 1 Joe Orton 2003-01-15 10:56:48 EST
This was fixed in RHBA-2002:168-04 last year - thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.